GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gridfire::solver::DirectNetworkSolver::RHSFunctor Struct Reference

Functor for calculating the right-hand side of the ODEs. More...

## Public Member Functions
| RHSFunctor (DynamicEngine &engine, const double T9, const double rho)
| Constructor for the RHSFunctor.
void | operator() (const boost::numeric::ublas::vector< double > &Y, boost::numeric::ublas::vector< double > &dYdt, double t) const
| Calculates the time derivatives of the species abundances.

## Public Attributes
DynamicEngine & | m_engine
| The engine used to evaluate the network.
const double | m_T9
| Temperature in units of 10^9 K.
const double | m_rho
| Density in g/cm^3.
const size_t | m_numSpecies
| The number of species in the network.
quill::Logger * | m_logger = LogManager::getInstance().getLogger("log")
| Logger instance.

## Detailed Description

Functor for calculating the right-hand side of the ODEs.

This functor is used by the ODE solver to calculate the time derivatives of the species abundances. It takes the current abundances as input and returns the time derivatives.

Definition at line 409 of file solver.h.

## Constructor & Destructor Documentation

## ◆ RHSFunctor()

gridfire::solver::DirectNetworkSolver::RHSFunctor::RHSFunctor | ( | DynamicEngine & | engine,
|  | const double | T9,
|  | const double | rho )
| inline

Constructor for the RHSFunctor.

Parameters

  engine | The engine used to evaluate the network.
  T9 | Temperature in units of 10^9 K.
  rho | Density in g/cm^3.

Definition at line 422 of file solver.h.

## Member Function Documentation

## ◆ operator()()

void gridfire::solver::DirectNetworkSolver::RHSFunctor::operator() | ( | const boost::numeric::ublas::vector< double > & | Y,
|  | boost::numeric::ublas::vector< double > & | dYdt,
|  | double | t ) const

Calculates the time derivatives of the species abundances.

Parameters

  Y | Vector of current abundances.
  dYdt | Vector to store the time derivatives.
  t | Current time.

Definition at line 442 of file solver.cpp.

## Member Data Documentation

## ◆ m_engine

DynamicEngine& gridfire::solver::DirectNetworkSolver::RHSFunctor::m_engine

The engine used to evaluate the network.

Definition at line 410 of file solver.h.

## ◆ m_logger

quill::Logger* gridfire::solver::DirectNetworkSolver::RHSFunctor::m_logger = LogManager::getInstance().getLogger("log")

Logger instance.

Definition at line 414 of file solver.h.

## ◆ m_numSpecies

const size_t gridfire::solver::DirectNetworkSolver::RHSFunctor::m_numSpecies

The number of species in the network.

Definition at line 413 of file solver.h.

## ◆ m_rho

const double gridfire::solver::DirectNetworkSolver::RHSFunctor::m_rho

Density in g/cm^3.

Definition at line 412 of file solver.h.

## ◆ m_T9

const double gridfire::solver::DirectNetworkSolver::RHSFunctor::m_T9

Temperature in units of 10^9 K.

Definition at line 411 of file solver.h.

The documentation for this struct was generated from the following files:

- src/network/include/gridfire/solver/solver.h
- src/network/lib/solver/solver.cpp